Path Parameters
Response
200 OK
GET /api/verifier/presentations/:id for one presentation and POST /api/verifier/presentations/:id/verify to run verification.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List presentations received by a verifier
GET /api/verifier/did:alyra:verifier.../presentations HTTP/1.1
Authorization: Bearer <jwt>
| Parameter | Type | Description |
|---|---|---|
did | string | Verifier DID. |
200 OK
{
"success": true,
"presentations": [
{
"id": "presentation-uuid",
"prover_did": "did:alyra:holder...",
"verifier_did": "did:alyra:verifier...",
"presentation_type": "identity_verification",
"credential_ids": ["aly:uuid"],
"status": "verified",
"is_verified": true,
"provided_attributes": ["full_name"],
"revoked_attributes": [],
"created_at": "2026-06-27T00:00:00Z",
"verified_at": "2026-06-27T00:01:00Z"
}
]
}
GET /api/verifier/presentations/:id for one presentation and POST /api/verifier/presentations/:id/verify to run verification.